package com.evilco.mc.nbt.tag;

import com.evilco.mc.nbt.error.UnexpectedTagTypeException;
import java.util.List;
import javax.annotation.Nonnull;

public interface IAnonymousTagContainer extends ITagContainer {
   void addTag(@Nonnull ITag var1);

   List<ITag> getTags();

   <T extends ITag> List<T> getTags(Class<T> var1) throws UnexpectedTagTypeException;

   void setTag(int var1, @Nonnull ITag var2);
}
